Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils
Class WatchDog.FileSetMutable

    java.lang.Object
      org.apache.ode.utils.WatchDog.FileSetMutable

All Implemented Interfaces:
  WatchDog.Mutable<java.util.Map<java.io.File,java.lang.Long>>

Enclosing class:
  WatchDog<T,C extends WatchDog.Observer>

    public static class WatchDog.FileSetMutable

extends java.lang.Object
implements WatchDog.Mutable<java.util.Map<java.io.File,java.lang.Long>>

Constructor Summary
`WatchDog.FileSetMutable(java.util.Collection<java.io.File> files)`
`WatchDog.FileSetMutable(java.io.File[] files)`

Method Summary
`boolean` | `exists()`
`boolean` | `hasChangedSince(java.util.Map<java.io.File,java.lang.Long> since)`
`java.util.Map<java.io.File,java.lang.Long>` | `lastModified()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WatchDog.FileSetMutable

    public WatchDog.FileSetMutable(java.util.Collection<java.io.File> files)

### WatchDog.FileSetMutable

    public WatchDog.FileSetMutable(java.io.File[] files)

Method Detail

### exists

    public boolean exists()

  Specified by:
    `exists` in interface `WatchDog.Mutable<java.util.Map<java.io.File,java.lang.Long>>`

### hasChangedSince

    public boolean hasChangedSince(java.util.Map<java.io.File,java.lang.Long> since)

  Specified by:
    `hasChangedSince` in interface `WatchDog.Mutable<java.util.Map<java.io.File,java.lang.Long>>`

### lastModified

    public java.util.Map<java.io.File,java.lang.Long> lastModified()

  Specified by:
    `lastModified` in interface `WatchDog.Mutable<java.util.Map<java.io.File,java.lang.Long>>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD